# 导出服务拆解分析
## 一、功能描述
主要功能：针对系统的提供各种单据的导出
## 二、代码运行截图
![输入图片说明](/imgs/2024-02-27/f7Al9AOfDe2A9pHM.png)
## 核心接口说明
| 类名地址               | 类地址名            | 类说明                   | 请求方式 | api方法地址                   | 方法名                     | 方法说明                                         |
| ---------------------- | ------------------- | ------------------------ | -------- | ----------------------------- | -------------------------- | ------------------------------------------------ |
| ActivityclientRest     | /api/activityclient | 客户活动关联表前端控制器 | post     | /exportActivityclient         | exportActivityclient       | 导出全线活动列表信息                             |
| ActivityclientRest     | /api/activityclient | 客户活动关联表前端控制器 | get      | /exportActivityclientTemp     | exportActivityclientTemp   | 导出全线活动列模板                               |
| ActivityclientRest     | /api/activityclient | 客户活动关联表前端控制器 | post     | /importActivityclient         | importActivityclient       | 导入全线活动列表                                 |
| ActivitydetailRest     | /api/activitydetail | 活动详情控制器           | get      | /downloadActivitydetailTemp   | downloadActivitydetailTemp | 导出活动商品模板信息                             |
| ActivitydetailRest     | /api/activitydetail | 活动详情控制器           | post     | /uploadActivitydetail         | uploadActivitydetail       | 导入活动商品明细                                 |
| ActivityorderRest      | /api/activityorder  | 活动订单控制器           | post     | /exportActivityOrder          | exportActivityOrder        | 导出活动订单列表信息                             |
| ActivityorderRest      | /api/activityorder  | 活动订单控制器           | post     | /exportActivityManageOrder    | exportActivityManageOrder  | 导出活动管理订单列表信息                         |
| ActivityorderRest      | /api/activityorder  | 活动订单控制器           | post     | /exportGiftOrderManage        | exportGiftOrderManage      | 导出活动订单管理礼品列表信息                     |
| ClientgiftRest         | /api/clientgift     | 客户礼品控制器           | get      | /exportActiGiftAllList        | exportActiGiftAllList      | 条件导出客户礼品发放列表                         |
| ClientgiftRest         | /api/clientgift     | 客户礼品控制器           | get      | /exportclientgiftList         | exportclientgiftList       | 条件导出客户礼品发放列表                         |
| ClientgiftRest         | /api/clientgift     | 客户礼品控制器           | get      | /exportgiftList               | exportgiftList             | 根据活动ID导出客户礼品数量列表                   |
| ClientgiftRest         | /api/clientgift     | 客户礼品控制器           | post     | /importOrderGift              | importOrderGift            | 导入捆绑活动订单礼品信息                         |
| BaddebtController      | /api/badDebt        | 呆坏账                   | post     | /exportBaddebt                | exportBaddebtDetail        | 导出呆坏账申请明细                               |
| CanceldetailController | /api/canceldetail   | 退货单明细               | post     | /exportCanceldetail           | exportCanceldetail         | 导出退货单明细列表                               |
| ClientextendRest       | /api/clientextend   | 导出客户开拓进展信息     | post     | /export                       | export                     | 条件导出客户开拓进展明细信息                     |
| ClientextendRest       | /api/clientextend   | 导出客户开拓进展信息     | post     | /exportskclientprogress       | exportskclientprogress     | 条件导出客户开拓进展信息                         |
| ClientRest             | /api/client         | 导出客户                 | post     | /exportClient                 | exportClient               | 导出客户列表信息                                 |
| ClientRest             | /api/client         | 导出客户                 | get      | /exportClientGroup/{tenantid} | exportclientgroup          | 导出客户分组                                     |
| ClientRest             | /api/client         | 导出客户                 | post     | /exportRecycleClient          | exportRecycleClient        | 导出回收站客户信息                               |
| ClientRest             | /api/client         | 导出客户                 | get      | /exportCustormTemp            | exportCustormTemp          | 导出海外市场客户模板                             |
| ClientRest             | /api/client         | 导出客户                 | post     | /exportclientgroup4list       | exportclientgroup4list     | 导出客户分组                                     |
| ClientRest             | /api/client         | 导出客户                 | post     | /importActivityClientscop     | importActivityClientscop   | 导入活动客户范围                                 |
| ClientRest             | /api/client         | 导出客户                 | post     | /importClientBusiscope        | importClientBusiscope      | 根据归属单位初始化客户业务方向                   |
| ClientRest             | /api/client         | 导出客户                 | post     | /importClientForIBG           | importClientForIBG         | 导入客户（国际业务二部）                         |
| ClientRest             | /api/client         | 导出客户                 | post     | /importClientGroup            | importClientGroup          | 导入客户分组信息                                 |
| ClientrevenueRest      | /api/clientrevenue  | 客户贡献度控制器         | POST     | /exportskclientcontribution   | exportskclientcontribution | 条件导出生科客户贡献排名信息                     |
| CouponClientRest       | /api/couponclient   | 客户优惠卷               | post     | /exportCouponClient           | exportContract             | 导出客户优化卷列表                               |
| CouponClientRest       | /api/couponclient   | 客户优惠卷               | post     | /import                       | importData                 | 导入客户优惠券列表                               |
| ServicemanRest         | /api/serviceman     | 客户负责人控制器         | post     | /syncrole                     | syncrole                   | 导入ERP（excel），同步对应客户的的写和负责人角色 |



<!--stackedit_data:
eyJoaXN0b3J5IjpbLTg0Nzg2MTQ3LDI5OTUzMDMzMSwxNzc0NT
A1NDczLDExNjY3MjQ3MDMsMTE3NDYxMDI4OSwyNjM1NTc5MzQs
MTkwNjgwMDExNCwtMTYwOTkxNjAwNCwtMTI3MzQ3MDIzNCwtNT
IwMjA1NTc4LC03NjA1ODEwNDksLTgyMzIwNjUxNiw2MTAxNTMy
MTEsMzYzODQ1MDE5LDg3NTIzNzk2LDg2OTU3MzAwMCwtMTE0MD
g3NDc5MF19
-->